Bug 667282 - tmp in /etc/crypptab (LUKS device not created before mount)
Summary: tmp in /etc/crypptab (LUKS device not created before mount)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 14
Hardware: Unspecified
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 229479 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-05 03:55 UTC by Philip Rose
Modified: 2014-03-17 03:26 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:39:32 UTC


Attachments (Terms of Use)
Diff-Patch for /etc/rc.d/init.d/functions (364 bytes, patch)
2011-01-05 03:55 UTC, Philip Rose
no flags Details | Diff

Description Philip Rose 2011-01-05 03:55:02 UTC
Created attachment 471792 [details]
Diff-Patch for /etc/rc.d/init.d/functions

Description of problem:  /tmp is mounted too early, when defined in /etc/crypttab according to man page.


Version-Release number of selected component (if applicable):  Fedora 14


How reproducible:  Can reproduce every time.


Steps to Reproduce:
1. Volume group is "vg0".
2. lvcreate --name lvtmp      --size  10G vg0
3. echo "crypt-lvtmp        /dev/vg0/lvtmp        /dev/urandom     tmp,cipher=aes-cbc-essiv:sha256" >> /etc/crypttab
4. sed -i 's/.*\/tmp.*/#&/g' /etc/fstab
5. echo "/dev/mapper/crypt-lvtmp   /tmp   ext2   defaults        1 2" >> /etc/fstab

 
Actual results:  Mount fails during boot, because init scripts try to mount /tmp before LUKS device is created.


Expected results:  /tmp should be mounted after LUKS device is created.


Additional info:  As a workaround, I have commented out the /tmp entry in /etc/fstab, and added the mount command to /etc/rc.d/init.d/functions using the diff-patch below.


*** /etc/rc.d/init.d/functions_original	2010-09-27 15:45:52.000000000 -0400
--- /etc/rc.d/init.d/functions	2010-12-30 23:54:02.000000000 -0500
***************
*** 794,799 ****
--- 794,800 ----
  		    mount "/dev/mapper/$dst" "$mdir" && chmod 1777 "$mdir"
  		    umount "$mdir"
  		    rmdir "$mdir"
+ mount -t ext2 "/dev/mapper/$dst" /tmp
  		fi
  	    fi
  	fi

Comment 1 iarly selbir 2011-01-05 11:59:41 UTC
*** Bug 229479 has been marked as a duplicate of this bug. ***

Comment 2 Fedora End Of Life 2012-08-16 19:39:35 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.